package com.book.server.service.impl;

import com.book.dao.VO.LoginVO;
import com.book.dao.cps.entity.Login;
import com.book.dao.cps.mapper.LoginMapper;
import com.book.dao.cps.pojo.example.LoginExample;
import com.book.server.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LoginServiceImpl implements LoginService {
    @Autowired
    private LoginMapper loginMapper;

    @Override
    public boolean login(LoginVO loginVO) {
        Login login = loginMapper.selectOneByExample(LoginExample.newAndCreateCriteria()
                .andUserNameEqualTo(loginVO.getUserName())
                .andPasswordEqualTo(loginVO.getPassword())
                .example()
        );
        return login != null;
    }
}
